#include "cpptest.h"

CPPTEST_CONTEXT("/UT_DFBProject/IDirectFBVideoProvider/idirectfbvideoprovider_vec.c");
CPPTEST_TEST_SUITE_INCLUDED_TO("/UT_DFBProject/IDirectFBVideoProvider/idirectfbvideoprovider_vec.c");

CPPTEST_TEST_SUITE(TestSuite_idirectfbvideoprovider_vec_c);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_DTV);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_ATV);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_AV);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_SV);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_VGA);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_COMP);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_HDMI);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_STORAGE);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_NoSource);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_OP2);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_OVERLAP);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_IP_SUB);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_IP_SUB_AUTO);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_IP_SUB_PROG);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_IP);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_ErrValue);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_inputsrc);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_x_168_OK);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_x_0);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_y_168_OK);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_y_0);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_w_168_OK);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_w_0);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_h_168_OK);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_h_0);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_output_h_168_OK);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_0);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_output_v_168_OK);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_output_v_0);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_addr_256_OK);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_addr_0);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_framecount_mode_single_mode);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_framecount_mode_double_mode);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_framecount_mode_triple_mode);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_framecount_mode_ErrValue);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecOpen_OK);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecOpen_NG);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecClose_OK);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_vecClose_NG);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_AddRef_default);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_GetCapabilities_default);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_GetLength_default);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_GetPos_default);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_GetSpeed_default);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_GetStatus_default);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_VEInputInterlace_1buf_Next);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_VEInputInterlace_1buf_NotNext);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_VEInputInterlace_Not1buf_Next);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_VEInputInterlace_Not1buf_NotNext);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_1buf_Next);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_1buf_NotNext);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_2bufs_Next);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_2bufs_NotNext);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_3bufs_Next);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_3bufs_NotNext);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_100bufs_Next);
CPPTEST_TEST(TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_100bufs_NotNext);
CPPTEST_TEST_SUITE_END();
        

void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_DTV();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_ATV();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_AV();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_SV();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_VGA();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_COMP();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_HDMI();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_STORAGE();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_NoSource();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_OP2();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_OVERLAP();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_IP_SUB();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_IP_SUB_AUTO();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_IP_SUB_PROG();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_IP();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_ErrValue();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_inputsrc();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_x_168_OK();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_x_0();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_y_168_OK();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_y_0();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_w_168_OK();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_w_0();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_h_168_OK();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_h_0();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_output_h_168_OK();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_0();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_output_v_168_OK();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_output_v_0();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_addr_256_OK();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_addr_0();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_framecount_mode_single_mode();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_framecount_mode_double_mode();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_framecount_mode_triple_mode();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_framecount_mode_ErrValue();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecOpen_OK();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecOpen_NG();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecClose_OK();
void TestSuite_idirectfbvideoprovider_vec_c_test_vecClose_NG();
void TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_AddRef_default();
void TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_GetCapabilities_default();
void TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_GetLength_default();
void TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_GetPos_default();
void TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_GetSpeed_default();
void TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_GetStatus_default();
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_VEInputInterlace_1buf_Next();
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_VEInputInterlace_1buf_NotNext();
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_VEInputInterlace_Not1buf_Next();
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_VEInputInterlace_Not1buf_NotNext();
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_1buf_Next();
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_1buf_NotNext();
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_2bufs_Next();
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_2bufs_NotNext();
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_3bufs_Next();
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_3bufs_NotNext();
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_100bufs_Next();
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_100bufs_NotNext();
CPPTEST_TEST_SUITE_REGISTRATION(TestSuite_idirectfbvideoprovider_vec_c);

void TestSuite_idirectfbvideoprovider_vec_c_setUp()
{
}

void TestSuite_idirectfbvideoprovider_vec_c_tearDown()
{
}



/* CPPTEST_TEST_CASE_BEGIN test_vecConvertToVEInputSrc_DTV */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConvertToVEInputSrc(IDirectFBVideoProvider_VEC_data *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_DTV()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data a_data;
    a_data.eSourceToIP = 999;

    /* Initializing argument 2 (value) */ 
    //const char * _value  = 0;
    const char _value[10]  = "DTV";

    {
        /* Tested function call */
        _Bool _return  = vecConvertToVEInputSrc( &a_data, _value );
        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( MS_VE_SRC_DTV, a_data.eSourceToIP );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConvertToVEInputSrc_DTV */

/* CPPTEST_TEST_CASE_BEGIN test_vecConvertToVEInputSrc_ATV */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConvertToVEInputSrc(IDirectFBVideoProvider_VEC_data *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_ATV()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data a_data;
    a_data.eSourceToIP = 999;

    /* Initializing argument 2 (value) */ 
    //const char * _value  = 0;
    const char _value[10]  = "ATV";

    {
        /* Tested function call */
        _Bool _return  = vecConvertToVEInputSrc( &a_data, _value );
        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( MS_VE_SRC_ATV, a_data.eSourceToIP );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConvertToVEInputSrc_ATV */

/* CPPTEST_TEST_CASE_BEGIN test_vecConvertToVEInputSrc_AV */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConvertToVEInputSrc(IDirectFBVideoProvider_VEC_data *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_AV()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data a_data;
    a_data.eSourceToIP = 999;

    /* Initializing argument 2 (value) */ 
    //const char * _value  = 0;
    const char _value[10]  = "AV";

    {
        /* Tested function call */
        _Bool _return  = vecConvertToVEInputSrc( &a_data, _value );
        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( MS_VE_SRC_CVBS0, a_data.eSourceToIP );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConvertToVEInputSrc_AV */

/* CPPTEST_TEST_CASE_BEGIN test_vecConvertToVEInputSrc_SV */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConvertToVEInputSrc(IDirectFBVideoProvider_VEC_data *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_SV()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data a_data;
    a_data.eSourceToIP = 999;

    /* Initializing argument 2 (value) */ 
    //const char * _value  = 0;
    const char _value[10]  = "SV";

    {
        /* Tested function call */
        _Bool _return  = vecConvertToVEInputSrc( &a_data, _value );
        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( MS_VE_SRC_SVIDEO, a_data.eSourceToIP );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConvertToVEInputSrc_SV */

/* CPPTEST_TEST_CASE_BEGIN test_vecConvertToVEInputSrc_VGA */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConvertToVEInputSrc(IDirectFBVideoProvider_VEC_data *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_VGA()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data a_data;
    a_data.eSourceToIP = 999;

    /* Initializing argument 2 (value) */ 
    //const char * _value  = 0;
    const char _value[10]  = "VGA";

    {
        /* Tested function call */
        _Bool _return  = vecConvertToVEInputSrc( &a_data, _value );
        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( MS_VE_SRC_DSUB, a_data.eSourceToIP );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConvertToVEInputSrc_VGA */

/* CPPTEST_TEST_CASE_BEGIN test_vecConvertToVEInputSrc_COMP */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConvertToVEInputSrc(IDirectFBVideoProvider_VEC_data *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_COMP()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data a_data;
    a_data.eSourceToIP = 999;

    /* Initializing argument 2 (value) */ 
    //const char * _value  = 0;
    const char _value[10]  = "COMP";

    {
        /* Tested function call */
        _Bool _return  = vecConvertToVEInputSrc( &a_data, _value );
        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( MS_VE_SRC_COMP, a_data.eSourceToIP );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConvertToVEInputSrc_COMP */

/* CPPTEST_TEST_CASE_BEGIN test_vecConvertToVEInputSrc_HDMI */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConvertToVEInputSrc(IDirectFBVideoProvider_VEC_data *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_HDMI()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data a_data;
    a_data.eSourceToIP = 999;

    /* Initializing argument 2 (value) */ 
    //const char * _value  = 0;
    const char _value[10]  = "HDMI";

    {
        /* Tested function call */
        _Bool _return  = vecConvertToVEInputSrc( &a_data, _value );
        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( MS_VE_SRC_HDMI_A, a_data.eSourceToIP );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConvertToVEInputSrc_HDMI */

/* CPPTEST_TEST_CASE_BEGIN test_vecConvertToVEInputSrc_STORAGE */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConvertToVEInputSrc(IDirectFBVideoProvider_VEC_data *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_STORAGE()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data a_data;
    a_data.eSourceToIP = 999;

    /* Initializing argument 2 (value) */ 
    //const char * _value  = 0;
    const char _value[10]  = "STORAGE";

    {
        /* Tested function call */
        _Bool _return  = vecConvertToVEInputSrc( &a_data, _value );
        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( MS_VE_SRC_DTV, a_data.eSourceToIP );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConvertToVEInputSrc_STORAGE */

/* CPPTEST_TEST_CASE_BEGIN test_vecConvertToVEInputSrc_NoSource */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConvertToVEInputSrc(IDirectFBVideoProvider_VEC_data *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConvertToVEInputSrc_NoSource()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data a_data;
    a_data.eSourceToIP = 999;

    /* Initializing argument 2 (value) */ 
    //const char * _value  = 0;
    const char _value[10]  = "NoSource";

    {
        /* Tested function call */
        _Bool _return  = vecConvertToVEInputSrc( &a_data, _value );
        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( MS_VE_SRC_NONE, a_data.eSourceToIP );
        CPPTEST_ASSERT_BOOL_EQUAL(false, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConvertToVEInputSrc_NoSource */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_src_OP2 */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_OP2()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.eVECMode = E_VEC_INVALID;

    /* Initializing argument 2 (name) */ 
    const char _name[30]  = "vec_capture_src" ;
    /* Initializing argument 3 (value) */ 
    const char _value[20]  = "OP2" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( E_VEC_SCREEN_WITH_OSD, a_data.eVECMode );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_src_OP2 */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_src_OVERLAP */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_OVERLAP()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.eVECMode = E_VEC_INVALID;

    /* Initializing argument 2 (name) */ 
    const char _name[30]  = "vec_capture_src" ;
    /* Initializing argument 3 (value) */ 
    const char _value[20]  = "OVERLAP" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( E_VEC_SCREEN_WITHOUT_OSD, a_data.eVECMode );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_src_OVERLAP */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_src_IP_SUB */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_IP_SUB()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.eVECMode = E_VEC_INVALID;

    /* Initializing argument 2 (name) */ 
    const char _name[30]  = "vec_capture_src" ;
    /* Initializing argument 3 (value) */ 
    const char _value[20]  = "IP_SUB" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( E_VEC_2ND_SCREEN_AUTO_WITHOUT_OSD, a_data.eVECMode );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_src_IP_SUB */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_src_IP_SUB_AUTO */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_IP_SUB_AUTO()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.eVECMode = E_VEC_INVALID;

    /* Initializing argument 2 (name) */ 
    const char _name[30]  = "vec_capture_src" ;
    /* Initializing argument 3 (value) */ 
    const char _value[20]  = "IP_SUB_AUTO" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( E_VEC_2ND_SCREEN_AUTO_WITHOUT_OSD, a_data.eVECMode );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_src_IP_SUB_AUTO */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_src_IP_SUB_PROG */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_IP_SUB_PROG()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.eVECMode = E_VEC_INVALID;

    /* Initializing argument 2 (name) */ 
    const char _name[30]  = "vec_capture_src" ;
    /* Initializing argument 3 (value) */ 
    const char _value[20]  = "IP_SUB_PROG" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( E_VEC_2ND_SCREEN_PROGRESSIVE_WITHOUT_OSD, a_data.eVECMode );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_src_IP_SUB_PROG */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_src_IP */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_IP()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.eVECMode = E_VEC_INVALID;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_capture_src" ;
    /* Initializing argument 3 (value) */
    const char _value[20]  = "IP" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( E_XC_IP, a_data.eVECMode );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_src_IP */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_src_ErrValue */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_src_ErrValue()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.eVECMode = E_VEC_INVALID;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_capture_src" ;
    /* Initializing argument 3 (value) */
    const char _value[20]  = "999" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( E_VEC_INVALID, a_data.eVECMode );
        CPPTEST_ASSERT_BOOL_EQUAL(false, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_src_ErrValue */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_inputsrc */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_inputsrc()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_capture_inputsrc" ;
    /* Initializing argument 3 (value) */
    const char _value[20]  = "999" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */

        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_inputsrc */


/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_x_168_OK */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_x_168_OK()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.stCapWin.x = 100;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_capture_x" ;
    /* Initializing argument 3 (value) */
    const char _value[20]  = "168" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( 168, a_data.stCapWin.x );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_x_168_OK */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_x_0 */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_x_0()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.stCapWin.x = 100;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_capture_x" ;
    /* Initializing argument 3 (value) */
    const char * _value  = NULL ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( 100, a_data.stCapWin.x );
        CPPTEST_ASSERT_BOOL_EQUAL(false, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_x_0 */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_y_168_OK */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_y_168_OK()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.stCapWin.y = 100;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_capture_y" ;
    /* Initializing argument 3 (value) */
    const char _value[20]  = "168" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( 168, a_data.stCapWin.y );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_y_168_OK */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_y_0 */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_y_0()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.stCapWin.y = 100;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_capture_y" ;
    /* Initializing argument 3 (value) */
    const char * _value  = NULL ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( 100, a_data.stCapWin.y );
        CPPTEST_ASSERT_BOOL_EQUAL(false, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_y_0 */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_w_168_OK */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_w_168_OK()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.stCapWin.width = 100;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_capture_w" ;
    /* Initializing argument 3 (value) */
    const char _value[20]  = "168" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( 168, a_data.stCapWin.width );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_w_168_OK */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_w_0 */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_w_0()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.stCapWin.width = 100;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_capture_w" ;
    /* Initializing argument 3 (value) */
    const char * _value  = NULL ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( 100, a_data.stCapWin.width );
        CPPTEST_ASSERT_BOOL_EQUAL(false, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_w_0 */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_h_168_OK */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_h_168_OK()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.stCapWin.height = 100;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_capture_h" ;
    /* Initializing argument 3 (value) */
    const char _value[20]  = "168" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( 168, a_data.stCapWin.height );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_h_168_OK */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_h_0 */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_h_0()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.stCapWin.height = 100;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_capture_h" ;
    /* Initializing argument 3 (value) */
    const char * _value  = NULL ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( 100, a_data.stCapWin.height );
        CPPTEST_ASSERT_BOOL_EQUAL(false, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_h_0 */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_output_h_168_OK */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_output_h_168_OK()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.u16OutputHSize = 100;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_output_h" ;
    /* Initializing argument 3 (value) */
    const char _value[20]  = "168" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( 168, a_data.u16OutputHSize );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_output_h_168_OK */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_0 */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_0()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.u16OutputHSize = 100;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_output_h" ;
    /* Initializing argument 3 (value) */
    const char * _value  = NULL ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( 100, a_data.u16OutputHSize );
        CPPTEST_ASSERT_BOOL_EQUAL(false, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_0 */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_output_v_168_OK */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_output_v_168_OK()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.u16OutputVSize = 100;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_output_v" ;
    /* Initializing argument 3 (value) */
    const char _value[20]  = "168" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( 168, a_data.u16OutputVSize );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_output_v_168_OK */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_output_v_0 */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_output_v_0()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.u16OutputVSize = 100;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_output_v" ;
    /* Initializing argument 3 (value) */
    const char * _value  = NULL ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( 100, a_data.u16OutputVSize );
        CPPTEST_ASSERT_BOOL_EQUAL(false, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_output_v_0 */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_addr_256_OK */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_addr_256_OK()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.vec_capture_addr = 100;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_capture_addr" ;
    /* Initializing argument 3 (value) */
    const char _value[20]  = "256" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( 598, a_data.vec_capture_addr );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_addr_256_OK */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_capture_addr_0 */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_capture_addr_0()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.vec_capture_addr = 100;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_capture_addr" ;
    /* Initializing argument 3 (value) */
    const char * _value  = NULL ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( 100, a_data.vec_capture_addr );
        CPPTEST_ASSERT_BOOL_EQUAL(false, ( _return ));
    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_capture_addr_0 */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_framecount_mode_single_mode */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_framecount_mode_single_mode()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.frameCountMode = FRAMECOUNT_SINGLE_MODE;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_framecount_mode" ;
    /* Initializing argument 3 (value) */
    const char _value[20]  = "single_mode" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( FRAMECOUNT_SINGLE_MODE, a_data.frameCountMode );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));

    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_framecount_mode_single_mode */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_framecount_mode_double_mode */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_framecount_mode_double_mode()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.frameCountMode = FRAMECOUNT_SINGLE_MODE;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_framecount_mode" ;
    /* Initializing argument 3 (value) */
    const char _value[20]  = "double_mode" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( FRAMECOUNT_DOUBLE_MODE, a_data.frameCountMode );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));

    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_framecount_mode_double_mode */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_framecount_mode_triple_mode */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_framecount_mode_triple_mode()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.frameCountMode = FRAMECOUNT_SINGLE_MODE;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_framecount_mode" ;
    /* Initializing argument 3 (value) */
    const char _value[20]  = "triple_mode" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( FRAMECOUNT_TRIPLE_MDDE, a_data.frameCountMode );
        CPPTEST_ASSERT_BOOL_EQUAL(true, ( _return ));

    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_framecount_mode_triple_mode */

/* CPPTEST_TEST_CASE_BEGIN test_vecConfig_vec_framecount_mode_ErrValue */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecConfig(IDirectFBVideoProvider_VEC_data *, const char *, const char *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecConfig_vec_framecount_mode_ErrValue()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.frameCountMode = FRAMECOUNT_SINGLE_MODE;

    /* Initializing argument 2 (name) */
    const char _name[30]  = "vec_framecount_mode" ;
    /* Initializing argument 3 (value) */
    const char _value[20]  = "123" ;

    {
        /* Tested function call */
        _Bool _return  = vecConfig( &a_data, _name, _value );

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( FRAMECOUNT_SINGLE_MODE, a_data.frameCountMode );
        CPPTEST_ASSERT_BOOL_EQUAL(false, ( _return ));

    }
}
/* CPPTEST_TEST_CASE_END test_vecConfig_vec_framecount_mode_ErrValue */

/* CPPTEST_TEST_CASE_BEGIN test_vecOpen_OK */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecOpen(IDirectFBVideoProvider_VEC_data *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecOpen_OK()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data a_data;

    a_data.stVECapState.u16Version = 0;
    a_data.stVECapState.u16Length  = 0;
    a_data.stVECapState.bEnable = FALSE;

    {
        /* Tested function call */
        _Bool _return  = vecOpen(&a_data);

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( VE_VECAPTURESTATE_VERSION, a_data.stVECapState.u16Version);
        CPPTEST_ASSERT_UINTEGER_EQUAL( sizeof(MS_VE_VECAPTURESTATE), a_data.stVECapState.u16Length);
        CPPTEST_ASSERT_UINTEGER_EQUAL( TRUE, a_data.stVECapState.bEnable);
        CPPTEST_ASSERT_BOOL_EQUAL(true, _return);
    }
}
/* CPPTEST_TEST_CASE_END test_vecOpen_OK */

/* CPPTEST_TEST_CASE_BEGIN test_vecOpen_NG */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecOpen(IDirectFBVideoProvider_VEC_data *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecOpen_NG()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data a_data;

    a_data.stVECapState.u16Version = 0;
    a_data.stVECapState.u16Length  = 0;
    a_data.stVECapState.bEnable = FALSE;

    {
        /* Tested function call */
        _Bool _return  = vecOpen(&a_data);

        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( VE_VECAPTURESTATE_VERSION, a_data.stVECapState.u16Version);
        CPPTEST_ASSERT_UINTEGER_EQUAL( sizeof(MS_VE_VECAPTURESTATE), a_data.stVECapState.u16Length);
        CPPTEST_ASSERT_UINTEGER_EQUAL( TRUE, a_data.stVECapState.bEnable);
        CPPTEST_ASSERT_BOOL_EQUAL(false, _return);
    }
}
/* CPPTEST_TEST_CASE_END test_vecOpen_NG */

/* CPPTEST_TEST_CASE_BEGIN test_vecClose_OK */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecClose(IDirectFBVideoProvider_VEC_data *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecClose_OK()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;

    a_data.stVECapState.u16Version = 0;
    a_data.stVECapState.u16Length  = 0;
    a_data.stVECapState.bEnable = TRUE;

    {
        /* Tested function call */
        _Bool _return  = vecClose(&a_data);
        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( VE_VECAPTURESTATE_VERSION, a_data.stVECapState.u16Version);
        CPPTEST_ASSERT_UINTEGER_EQUAL( sizeof(MS_VE_VECAPTURESTATE), a_data.stVECapState.u16Length);
        CPPTEST_ASSERT_UINTEGER_EQUAL( FALSE, a_data.stVECapState.bEnable);
        CPPTEST_ASSERT_BOOL_EQUAL(true, _return);
    }
}
/* CPPTEST_TEST_CASE_END test_vecClose_OK */

/* CPPTEST_TEST_CASE_BEGIN test_vecClose_NG */
/* CPPTEST_TEST_CASE_CONTEXT _Bool vecClose(IDirectFBVideoProvider_VEC_data *) */
void TestSuite_idirectfbvideoprovider_vec_c_test_vecClose_NG()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;

    a_data.stVECapState.u16Version = 0;
    a_data.stVECapState.u16Length  = 0;
    a_data.stVECapState.bEnable = TRUE;

    {
        /* Tested function call */
        _Bool _return  = vecClose(&a_data);
        /* Post-condition check */
        CPPTEST_ASSERT_UINTEGER_EQUAL( VE_VECAPTURESTATE_VERSION, a_data.stVECapState.u16Version);
        CPPTEST_ASSERT_UINTEGER_EQUAL( sizeof(MS_VE_VECAPTURESTATE), a_data.stVECapState.u16Length);
        CPPTEST_ASSERT_UINTEGER_EQUAL( FALSE, a_data.stVECapState.bEnable);
        CPPTEST_ASSERT_BOOL_EQUAL(false, _return);
    }
}
/* CPPTEST_TEST_CASE_END test_vecClose_NG */


/* CPPTEST_TEST_CASE_BEGIN test__IDirectFBVideoProvider_VEC_AddRef_default */
/* CPPTEST_TEST_CASE_CONTEXT DirectResult _IDirectFBVideoProvider_VEC_AddRef(IDirectFBVideoProvider *) */
void TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_AddRef_default()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */ 
    IDirectFBVideoProvider thiz;
    IDirectFBVideoProvider_VEC_data data;

    data.ref = 0;
    thiz.priv = &data;

    IDirectFBVideoProvider *_thiz = &thiz;
    IAny * this = (IAny*)_thiz;
    this->magic = 185931549 ;
    {
        /* Tested function call */
        DirectResult _return  = _IDirectFBVideoProvider_VEC_AddRef(_thiz);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DR_OK, ( _return ) );
        CPPTEST_ASSERT_EQUAL( 1, ( data.ref ) );
    }
}
/* CPPTEST_TEST_CASE_END test__IDirectFBVideoProvider_VEC_AddRef_default */

/* CPPTEST_TEST_CASE_BEGIN test__IDirectFBVideoProvider_VEC_GetCapabilities_default */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult _IDirectFBVideoProvider_VEC_GetCapabilities(IDirectFBVideoProvider *, DFBVideoProviderCapabilities *) */
void TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_GetCapabilities_default()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */ 
    IDirectFBVideoProvider thiz;
    IDirectFBVideoProvider_VEC_data data;

    thiz.priv = &data;

    IDirectFBVideoProvider *_thiz = &thiz;
    IAny * this = (IAny*)_thiz;
    this->magic = 185931549 ;
    /* Initializing argument 2 (caps) */ 
    DFBVideoProviderCapabilities  _caps  ;
    {
        /* Tested function call */
        DFBResult _return  = _IDirectFBVideoProvider_VEC_GetCapabilities(_thiz, &_caps);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
    }
}
/* CPPTEST_TEST_CASE_END test__IDirectFBVideoProvider_VEC_GetCapabilities_default */

/* CPPTEST_TEST_CASE_BEGIN test__IDirectFBVideoProvider_VEC_GetLength_default */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult _IDirectFBVideoProvider_VEC_GetLength(IDirectFBVideoProvider *, double *) */
void TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_GetLength_default()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */ 
    IDirectFBVideoProvider thiz;
    IDirectFBVideoProvider_VEC_data data;

    thiz.priv = &data;

    IDirectFBVideoProvider *_thiz = &thiz;
    IAny * this = (IAny*)_thiz;
    this->magic = 185931549 ;
    /* Initializing argument 2 (seconds) */ 
    double _seconds  = 0 ;
    {
        /* Tested function call */
        DFBResult _return  = _IDirectFBVideoProvider_VEC_GetLength(_thiz, &_seconds);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_UNSUPPORTED, ( _return ) );
    }
}
/* CPPTEST_TEST_CASE_END test__IDirectFBVideoProvider_VEC_GetLength_default */

/* CPPTEST_TEST_CASE_BEGIN test__IDirectFBVideoProvider_VEC_GetPos_default */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult _IDirectFBVideoProvider_VEC_GetPos(IDirectFBVideoProvider *, double *) */
void TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_GetPos_default()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */ 
    IDirectFBVideoProvider thiz;
    IDirectFBVideoProvider_VEC_data data;

    thiz.priv = &data;

    IDirectFBVideoProvider *_thiz = &thiz;
    IAny * this = (IAny*)_thiz;
    this->magic = 185931549 ;
    /* Initializing argument 2 (seconds) */ 
    double _seconds  = 0 ;
    {
        /* Tested function call */
        DFBResult _return  = _IDirectFBVideoProvider_VEC_GetPos(_thiz, &_seconds);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_UNSUPPORTED, ( _return ) );
    }
}
/* CPPTEST_TEST_CASE_END test__IDirectFBVideoProvider_VEC_GetPos_default */

/* CPPTEST_TEST_CASE_BEGIN test__IDirectFBVideoProvider_VEC_GetSpeed_default */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult _IDirectFBVideoProvider_VEC_GetSpeed(IDirectFBVideoProvider *, double *) */
void TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_GetSpeed_default()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */ 
    IDirectFBVideoProvider thiz;
    IDirectFBVideoProvider_VEC_data data;

    thiz.priv = &data;

    IDirectFBVideoProvider *_thiz = &thiz;
    IAny * this = (IAny*)_thiz;
    this->magic = 185931549 ;
    /* Initializing argument 2 (multiplier) */ 
    double _multiplier  = 0 ;
    {
        /* Tested function call */
        DFBResult _return  = _IDirectFBVideoProvider_VEC_GetSpeed(_thiz, &_multiplier);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_UNSUPPORTED, ( _return ) );
    }
}
/* CPPTEST_TEST_CASE_END test__IDirectFBVideoProvider_VEC_GetSpeed_default */

/* CPPTEST_TEST_CASE_BEGIN test__IDirectFBVideoProvider_VEC_GetStatus_default */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult _IDirectFBVideoProvider_VEC_GetStatus(IDirectFBVideoProvider *, DFBVideoProviderStatus *) */
void TestSuite_idirectfbvideoprovider_vec_c_test__IDirectFBVideoProvider_VEC_GetStatus_default()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */ 
    IDirectFBVideoProvider thiz;
    IDirectFBVideoProvider_VEC_data data;

    thiz.priv = &data;

    IDirectFBVideoProvider *_thiz = &thiz;
    IAny * this = (IAny*)_thiz;
    this->magic = 185931549 ;
    /* Initializing argument 2 (status) */ 
    DFBVideoProviderStatus _status;
    {
        /* Tested function call */
        DFBResult _return  = _IDirectFBVideoProvider_VEC_GetStatus(_thiz, &_status);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
    }
}
/* CPPTEST_TEST_CASE_END test__IDirectFBVideoProvider_VEC_GetStatus_default */

/* CPPTEST_TEST_CASE_BEGIN test_GetNextFrameNumber_VEInputInterlace_1buf_Next */
/* CPPTEST_TEST_CASE_CONTEXT int GetNextFrameNumber(IDirectFBVideoProvider_VEC_data *, _Bool) */
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_VEInputInterlace_1buf_Next()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.bVEInputInterlace = true;
    a_data.frameCountMode=FRAMECOUNT_SINGLE_MODE;
    /* Initializing argument 2 (bflag) */ 
    _Bool _bflag  = true;
    /* Initializing global variable surface_index */ 
    {
         surface_index  = 0;
    }



    {
        /* Tested function call */
        int _return  = GetNextFrameNumber( &a_data, _bflag);

        /* Post-condition check */
        //CPPTEST_POST_CONDITION_INTEGER(" _return", ( _return ));
        //CPPTEST_POST_CONDITION_PTR("IDirectFBVideoProvider_VEC_data * _data ", ( _data ));
        //CPPTEST_POST_CONDITION_INTEGER(" surface_index", ( surface_index ));
        CPPTEST_ASSERT_UINTEGER_EQUAL( 1, _return );

    }
}
/* CPPTEST_TEST_CASE_END test_GetNextFrameNumber_VEInputInterlace_1buf_Next */

/* CPPTEST_TEST_CASE_BEGIN test_GetNextFrameNumber_VEInputInterlace_1buf_NotNext */
/* CPPTEST_TEST_CASE_CONTEXT int GetNextFrameNumber(IDirectFBVideoProvider_VEC_data *, _Bool) */
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_VEInputInterlace_1buf_NotNext()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.bVEInputInterlace = true;
    a_data.frameCountMode=FRAMECOUNT_SINGLE_MODE;
    /* Initializing argument 2 (bflag) */ 
    _Bool _bflag  = false;
    /* Initializing global variable surface_index */ 
    {
         surface_index  = 0;
    }



    {
        /* Tested function call */
        int _return  = GetNextFrameNumber( &a_data, _bflag);

        /* Post-condition check */
        //CPPTEST_POST_CONDITION_INTEGER(" _return", ( _return ));
        //CPPTEST_POST_CONDITION_PTR("IDirectFBVideoProvider_VEC_data * _data ", ( _data ));
        //CPPTEST_POST_CONDITION_INTEGER(" surface_index", ( surface_index ));
        CPPTEST_ASSERT_UINTEGER_EQUAL( 1, _return );

    }
}
/* CPPTEST_TEST_CASE_END test_GetNextFrameNumber_VEInputInterlace_1buf_NotNext */

/* CPPTEST_TEST_CASE_BEGIN test_GetNextFrameNumber_VEInputInterlace_Not1buf_Next */
/* CPPTEST_TEST_CASE_CONTEXT int GetNextFrameNumber(IDirectFBVideoProvider_VEC_data *, _Bool) */
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_VEInputInterlace_Not1buf_Next()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.bVEInputInterlace = true;
    a_data.frameCountMode=FRAMECOUNT_DOUBLE_MODE;
    /* Initializing argument 2 (bflag) */ 
    _Bool _bflag  = true;
    /* Initializing global variable surface_index */ 
    {
         surface_index  = 11;
    }



    {
        /* Tested function call */
        int _return  = GetNextFrameNumber( &a_data, _bflag);

        /* Post-condition check */
        //CPPTEST_POST_CONDITION_INTEGER(" _return", ( _return ));
        //CPPTEST_POST_CONDITION_PTR("IDirectFBVideoProvider_VEC_data * _data ", ( _data ));
        //CPPTEST_POST_CONDITION_INTEGER(" surface_index", ( surface_index ));
        CPPTEST_ASSERT_UINTEGER_EQUAL( 1, _return );

    }
}
/* CPPTEST_TEST_CASE_END test_GetNextFrameNumber_VEInputInterlace_Not1buf_Next */

/* CPPTEST_TEST_CASE_BEGIN test_GetNextFrameNumber_VEInputInterlace_Not1buf_NotNext */
/* CPPTEST_TEST_CASE_CONTEXT int GetNextFrameNumber(IDirectFBVideoProvider_VEC_data *, _Bool) */
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_VEInputInterlace_Not1buf_NotNext()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.bVEInputInterlace = true;
    a_data.frameCountMode=FRAMECOUNT_DOUBLE_MODE;
    /* Initializing argument 2 (bflag) */ 
    _Bool _bflag  = false;
    /* Initializing global variable surface_index */ 
    {
         surface_index  = 10;
    }



    {
        /* Tested function call */
        int _return  = GetNextFrameNumber( &a_data, _bflag);

        /* Post-condition check */
        //CPPTEST_POST_CONDITION_INTEGER(" _return", ( _return ));
        //CPPTEST_POST_CONDITION_PTR("IDirectFBVideoProvider_VEC_data * _data ", ( _data ));
        //CPPTEST_POST_CONDITION_INTEGER(" surface_index", ( surface_index ));
        CPPTEST_ASSERT_UINTEGER_EQUAL( 2, _return );

    }
}
/* CPPTEST_TEST_CASE_END test_GetNextFrameNumber_VEInputInterlace_Not1buf_NotNext */

/* CPPTEST_TEST_CASE_BEGIN test_GetNextFrameNumber_NotVEInputInterlace_1buf_Next */
/* CPPTEST_TEST_CASE_CONTEXT int GetNextFrameNumber(IDirectFBVideoProvider_VEC_data *, _Bool) */
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_1buf_Next()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.bVEInputInterlace = false;
    a_data.frameCountMode=FRAMECOUNT_SINGLE_MODE;
    /* Initializing argument 2 (bflag) */ 
    _Bool _bflag  = true;
    /* Initializing global variable surface_index */ 
    {
         surface_index  = 10;
    }



    {
        /* Tested function call */
        int _return  = GetNextFrameNumber( &a_data, _bflag);

        /* Post-condition check */
        //CPPTEST_POST_CONDITION_INTEGER(" _return", ( _return ));
        //CPPTEST_POST_CONDITION_PTR("IDirectFBVideoProvider_VEC_data * _data ", ( _data ));
        //CPPTEST_POST_CONDITION_INTEGER(" surface_index", ( surface_index ));
        CPPTEST_ASSERT_UINTEGER_EQUAL( 1, _return );

    }
}
/* CPPTEST_TEST_CASE_END test_GetNextFrameNumber_NotVEInputInterlace_1buf_Next */

/* CPPTEST_TEST_CASE_BEGIN test_GetNextFrameNumber_NotVEInputInterlace_1buf_NotNext */
/* CPPTEST_TEST_CASE_CONTEXT int GetNextFrameNumber(IDirectFBVideoProvider_VEC_data *, _Bool) */
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_1buf_NotNext()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.bVEInputInterlace = false;
    a_data.frameCountMode=FRAMECOUNT_SINGLE_MODE;
    /* Initializing argument 2 (bflag) */ 
    _Bool _bflag  = false;
    /* Initializing global variable surface_index */ 
    {
         surface_index  = 10;
    }



    {
        /* Tested function call */
        int _return  = GetNextFrameNumber( &a_data, _bflag);

        /* Post-condition check */
        //CPPTEST_POST_CONDITION_INTEGER(" _return", ( _return ));
        //CPPTEST_POST_CONDITION_PTR("IDirectFBVideoProvider_VEC_data * _data ", ( _data ));
        //CPPTEST_POST_CONDITION_INTEGER(" surface_index", ( surface_index ));
        CPPTEST_ASSERT_UINTEGER_EQUAL( 1, _return );

    }
}
/* CPPTEST_TEST_CASE_END test_GetNextFrameNumber_NotVEInputInterlace_1buf_NotNext */


/* CPPTEST_TEST_CASE_BEGIN test_GetNextFrameNumber_NotVEInputInterlace_2bufs_Next */
/* CPPTEST_TEST_CASE_CONTEXT int GetNextFrameNumber(IDirectFBVideoProvider_VEC_data *, _Bool) */
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_2bufs_Next()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.bVEInputInterlace = false;
    a_data.frameCountMode=FRAMECOUNT_DOUBLE_MODE;
    /* Initializing argument 2 (bflag) */ 
    _Bool _bflag  = true;
    /* Initializing global variable surface_index */ 
    {
         surface_index  = 12;
    }



    {
        /* Tested function call */
        int _return  = GetNextFrameNumber( &a_data, _bflag);

        /* Post-condition check */
        //CPPTEST_POST_CONDITION_INTEGER(" _return", ( _return ));
        //CPPTEST_POST_CONDITION_PTR("IDirectFBVideoProvider_VEC_data * _data ", ( _data ));
        //CPPTEST_POST_CONDITION_INTEGER(" surface_index", ( surface_index ));
        CPPTEST_ASSERT_UINTEGER_EQUAL( 3, _return );

    }
}
/* CPPTEST_TEST_CASE_END test_GetNextFrameNumber_NotVEInputInterlace_2bufs_Next */


/* CPPTEST_TEST_CASE_BEGIN test_GetNextFrameNumber_NotVEInputInterlace_2bufs_NotNext */
/* CPPTEST_TEST_CASE_CONTEXT int GetNextFrameNumber(IDirectFBVideoProvider_VEC_data *, _Bool) */
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_2bufs_NotNext()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.bVEInputInterlace = false;
    a_data.frameCountMode=FRAMECOUNT_DOUBLE_MODE;
    /* Initializing argument 2 (bflag) */ 
    _Bool _bflag  = false;
    /* Initializing global variable surface_index */ 
    {
         surface_index  = 11;
    }



    {
        /* Tested function call */
        int _return  = GetNextFrameNumber( &a_data, _bflag);

        /* Post-condition check */
        //CPPTEST_POST_CONDITION_INTEGER(" _return", ( _return ));
        //CPPTEST_POST_CONDITION_PTR("IDirectFBVideoProvider_VEC_data * _data ", ( _data ));
        //CPPTEST_POST_CONDITION_INTEGER(" surface_index", ( surface_index ));
        CPPTEST_ASSERT_UINTEGER_EQUAL( 2, _return );

    }
}
/* CPPTEST_TEST_CASE_END test_GetNextFrameNumber_NotVEInputInterlace_2bufs_NotNext */

/* CPPTEST_TEST_CASE_BEGIN test_GetNextFrameNumber_NotVEInputInterlace_3bufs_Next */
/* CPPTEST_TEST_CASE_CONTEXT int GetNextFrameNumber(IDirectFBVideoProvider_VEC_data *, _Bool) */
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_3bufs_Next()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.bVEInputInterlace = false;
    a_data.frameCountMode=FRAMECOUNT_TRIPLE_MDDE;
    /* Initializing argument 2 (bflag) */ 
    _Bool _bflag  = true;
    /* Initializing global variable surface_index */ 
    {
         surface_index  = 21;
    }



    {
        /* Tested function call */
        int _return  = GetNextFrameNumber( &a_data, _bflag);

        /* Post-condition check */
        //CPPTEST_POST_CONDITION_INTEGER(" _return", ( _return ));
        //CPPTEST_POST_CONDITION_PTR("IDirectFBVideoProvider_VEC_data * _data ", ( _data ));
        //CPPTEST_POST_CONDITION_INTEGER(" surface_index", ( surface_index ));
        CPPTEST_ASSERT_UINTEGER_EQUAL( 2, _return );

    }
}
/* CPPTEST_TEST_CASE_END test_GetNextFrameNumber_NotVEInputInterlace_3bufs_Next */


/* CPPTEST_TEST_CASE_BEGIN test_GetNextFrameNumber_NotVEInputInterlace_3bufs_NotNext */
/* CPPTEST_TEST_CASE_CONTEXT int GetNextFrameNumber(IDirectFBVideoProvider_VEC_data *, _Bool) */
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_3bufs_NotNext()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.bVEInputInterlace = false;
    a_data.frameCountMode=FRAMECOUNT_TRIPLE_MDDE;
    /* Initializing argument 2 (bflag) */ 
    _Bool _bflag  = false;
    /* Initializing global variable surface_index */ 
    {
         surface_index  = 20;
    }



    {
        /* Tested function call */
        int _return  = GetNextFrameNumber( &a_data, _bflag);

        /* Post-condition check */
        //CPPTEST_POST_CONDITION_INTEGER(" _return", ( _return ));
        //CPPTEST_POST_CONDITION_PTR("IDirectFBVideoProvider_VEC_data * _data ", ( _data ));
        //CPPTEST_POST_CONDITION_INTEGER(" surface_index", ( surface_index ));
        CPPTEST_ASSERT_UINTEGER_EQUAL( 1, _return );

    }
}
/* CPPTEST_TEST_CASE_END test_GetNextFrameNumber_NotVEInputInterlace_3bufs_NotNext */

/* CPPTEST_TEST_CASE_BEGIN test_GetNextFrameNumber_NotVEInputInterlace_100bufs_Next */
/* CPPTEST_TEST_CASE_CONTEXT int GetNextFrameNumber(IDirectFBVideoProvider_VEC_data *, _Bool) */
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_100bufs_Next()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.bVEInputInterlace = false;
    a_data.frameCountMode=100;
    /* Initializing argument 2 (bflag) */ 
    _Bool _bflag  = true;
    /* Initializing global variable surface_index */ 
    {
         surface_index  = 20;
    }



    {
        /* Tested function call */
        int _return  = GetNextFrameNumber( &a_data, _bflag);

        /* Post-condition check */
        //CPPTEST_POST_CONDITION_INTEGER(" _return", ( _return ));
        //CPPTEST_POST_CONDITION_PTR("IDirectFBVideoProvider_VEC_data * _data ", ( _data ));
        //CPPTEST_POST_CONDITION_INTEGER(" surface_index", ( surface_index ));
        CPPTEST_ASSERT_UINTEGER_EQUAL( 1, _return );

    }
}
/* CPPTEST_TEST_CASE_END test_GetNextFrameNumber_NotVEInputInterlace_100bufs_Next */

/* CPPTEST_TEST_CASE_BEGIN test_GetNextFrameNumber_NotVEInputInterlace_100bufs_NotNext */
/* CPPTEST_TEST_CASE_CONTEXT int GetNextFrameNumber(IDirectFBVideoProvider_VEC_data *, _Bool) */
void TestSuite_idirectfbvideoprovider_vec_c_test_GetNextFrameNumber_NotVEInputInterlace_100bufs_NotNext()
{
	/* Pre-condition initialization */
    /* Initializing argument 1 (data) */ 
    IDirectFBVideoProvider_VEC_data  a_data;
    a_data.bVEInputInterlace = false;
    a_data.frameCountMode=100;
    /* Initializing argument 2 (bflag) */ 
    _Bool _bflag  = false;
    /* Initializing global variable surface_index */ 
    {
         surface_index  = 10;
    }



    {
        /* Tested function call */
        int _return  = GetNextFrameNumber( &a_data, _bflag);

        /* Post-condition check */
        //CPPTEST_POST_CONDITION_INTEGER(" _return", ( _return ));
        //CPPTEST_POST_CONDITION_PTR("IDirectFBVideoProvider_VEC_data * _data ", ( _data ));
        //CPPTEST_POST_CONDITION_INTEGER(" surface_index", ( surface_index ));
        CPPTEST_ASSERT_UINTEGER_EQUAL( 1, _return );

    }
}
/* CPPTEST_TEST_CASE_END test_GetNextFrameNumber_NotVEInputInterlace_100bufs_NotNext */
